Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.editor
Class DefaultViewEditorHelper

    java.lang.Object
      ru.biosoft.graphics.editor.DefaultViewEditorHelper

All Implemented Interfaces:
  ViewEditorHelper

public class DefaultViewEditorHelper
extends java.lang.Object
implements ViewEditorHelper

Default implementation of ViewEditorHelper interface. This class provides all necessary changes in view, but do not affect to the model.

Field Summary
`protected ViewEditorPane` | `viewEditorPane`

Constructor Summary
`DefaultViewEditorHelper()`

Method Summary
`View` | `add(java.lang.Object obj, java.awt.Point location)` Should provides necessary changes in view and model if the view can be resized.
`boolean` | `canAccept(CompositeView composite, View view)`
`java.lang.Object` | `createObject(java.lang.Class clazz, java.awt.Point pt)`
`javax.swing.Action[]` | `getActions()` we can use different selections for different viewes
`boolean` | `isResizable(View view)`
`java.awt.Dimension` | `moveView(View view, java.awt.Dimension offset)` Should provides necessary changes in view and model if the view can be moved on the specified offset.
`void` | `register(ViewEditorPane viewEditorPane)` register this ViewEditorHelper for the specified ViewEditorPane.
`boolean` | `removeView(View view)` Should provides necessary changes in view and model if the view can be resized.
`java.awt.Dimension` | `resizeView(View view, java.awt.Dimension size)` Should provides necessary changes in view and model if the view can be resized.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewEditorPane

    protected ViewEditorPane viewEditorPane

Constructor Detail

### DefaultViewEditorHelper

    public DefaultViewEditorHelper()

Method Detail

### register

    public void register(ViewEditorPane viewEditorPane)

  register this ViewEditorHelper for the specified ViewEditorPane.

  Specified by:
    `register` in interface `ViewEditorHelper`

### moveView

    public java.awt.Dimension moveView(View view,
                                       java.awt.Dimension offset)

  Should provides necessary changes in view and model if the view can be moved on the specified offset.

  Specified by:
    `moveView` in interface `ViewEditorHelper`

### resizeView

    public java.awt.Dimension resizeView(View view,
                                         java.awt.Dimension size)

  Should provides necessary changes in view and model if the view can be resized.

  Specified by:
    `resizeView` in interface `ViewEditorHelper`

### add

    public View add(java.lang.Object obj,
                    java.awt.Point location)

  Should provides necessary changes in view and model if the view can be resized.

  Specified by:
    `add` in interface `ViewEditorHelper`

### removeView

    public boolean removeView(View view)

  Should provides necessary changes in view and model if the view can be resized.

  Specified by:
    `removeView` in interface `ViewEditorHelper`

### canAccept

    public boolean canAccept(CompositeView composite,
                             View view)

  Specified by:
    `canAccept` in interface `ViewEditorHelper`

### isResizable

    public boolean isResizable(View view)

  Specified by:
    `isResizable` in interface `ViewEditorHelper`

### createObject

    public java.lang.Object createObject(java.lang.Class clazz,
                                         java.awt.Point pt)

  Specified by:
    `createObject` in interface `ViewEditorHelper`

### getActions

    public javax.swing.Action[] getActions()

  Description copied from interface: `ViewEditorHelper`
  we can use different selections for different viewes

  Specified by:
    `getActions` in interface `ViewEditorHelper`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.